require 'spec_helper'

describe LessonPackageType do

  it "test drive packages" do
     # 3 builtt-in, 3 amazon
    LessonPackageType.test_drive_package_ids.count.should eql 6
  end

  describe "amazon price" do
    it "4-count" do
      LessonPackageType.amazon_test_drive_free_4.price.should eql 0
    end

    it "2-count" do
      LessonPackageType.amazon_test_drive_free_2.price.should eql 0
    end

    it "4-count reduced" do
      LessonPackageType.amazon_test_drive_paid_4.price.should eql 19.99
    end

  end
end
